import{select, csv, scaleLinear, max, scalePoint, axisLeft, axisBottom, format} from 'd3';

const svg = d3.select('svg');


const height = +svg.attr('height');

const width = +svg.attr('width');


const render = data => {
  const xValue = d => d.Coverage;
  const yValue = d => d.Entity;
  const margin = {top: 25, right: 40, bottom: 25, left: 100};
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  
  const xScale = scaleLinear()
    .domain([0, max(data, xValue)])
    .range([0, innerWidth])
    .nice();
  
  const yScale = scalePoint()
    .domain(data.map(yValue))
    .range([0, innerHeight])
    .padding(0.6);

  
    
  console.log(yScale.domain());
  
  const g = svg.append('g')
    .attr('transform', `translate(${margin.left}, ${margin.top})`);
  
 const yAxis = axisLeft(yScale)
     .tickSize(-innerWidth);
  
  g.append('g')
    .call(yAxis)
    .selectAll('.domain')
      .remove();
  
  
  
  g.append('g').call(axisBottom(xScale).tickFormat(format(".3r")))

      .attr('transform', `translate(0, ${innerHeight})`);
  
  g.selectAll('circle').data(data)
    .enter().append('circle')
      .attr('cy', d => yScale(yValue(d)))
      .attr('cx', d => xScale(xValue(d)))
      .attr('r', 10)
      .attr('fill', 'blue');
  
  g.append('text')
      .text('Countries');
};

csv('data.csv').then(data =>{
  data.forEach(d => {
  d.Coverage = +d.Coverage;
  });
  render(data);
});
